Package org.apache.sling.distribution.common

## Class DistributionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.distribution.common.DistributionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RecoverableDistributionException`

    public class DistributionException
    extends Exception

Generic checked exception for distribution

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DistributionException​(String string)`
`DistributionException​(String string, Throwable cause)`
`DistributionException​(Throwable e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionException

    public DistributionException​(Throwable e)

#### DistributionException

    public DistributionException​(String string)

#### DistributionException

    public DistributionException​(String string,
                                 Throwable cause)